Devices with tag​
GET
/users/{id}/getDevicesByTag
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
user id
Type
Requiredstring
Format
"JSON"Query Parameters
tag*
Tag to search for in fully qualified key:value format. Example device_type:truck. Partial searches with wildcards may be used, eg device_type:% or device_type:veh_%
Type
Requiredstring
fields
Optional array of device model fields to return. eg ["id","name"]
Type
string
Format
"JSON"